Bug 819650 - PATCH: properly deal with crypt() returning NULL
PATCH: properly deal with crypt() returning NULL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apr-util (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On: 818684
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 16:46 EDT by Joe Orton
Modified: 2013-08-01 14:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: apr-util-1.4.1-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 818684
Environment:
Last Closed: 2013-08-01 14:43:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2012-05-07 16:46:32 EDT
Part of this is in apr-util.

+++ This bug was initially created as a clone of Bug #818684 +++

Created attachment 581918 [details]
patch hanlding crypt() returning NULL

Description of problem:
httpd does not check if crypt() or crypt_r() returns NULL, which it can do in certain situations (mostly when in FIPS mode and smoe hashing algo like MD5 is not allowed)

Version-Release number of selected component (if applicable):
2.2.22-4

Attached patch resolves this,
Comment 3 Fedora End Of Life 2013-07-04 03:00:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 14:43:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.